# Expeditions: A Mudrunner Game 1.14.0.0
# BID: 08C88691FFA5407C
# REF: 01 04 0C 5E 00 10 2E 1E

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x36AEF00
  -
    type: bytes
    main_offset: 0x1718A64
    value_type: uint32
    value: 
      - 0xD000FCAC # adrp x12, #0x36AE000
      - 0xBD4F0182 # ldr s2, [x12, #0xf00]
  # default value
  -
    type: bytes
    main_offset: 0x36AEF00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x36AEF00]
    value_type: float
    value: FRAMETIME_TARGET